org.apache.hadoop.hdfs.server.namenode

## Class INode.BlocksMapUpdateInfo

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.INode.BlocksMapUpdateInfo

- Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.INode

      public static class INode.BlocksMapUpdateInfo
      extends Object

  Information used for updating the blocksMap when deleting files.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `INode.BlocksMapUpdateInfo.UpdatedReplicationInfo` The blocks whose replication factor need to be updated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlocksMapUpdateInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDeleteBlock(org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo toDelete)` Add a to-be-deleted block into the `toDeleteList`
    `void` | `addUpdateReplicationFactor(org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo block, short targetRepl)`
    `void` | `clear()` Clear `toDeleteList`
    `List<org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo>` | `getToDeleteList()`
    `List<INode.BlocksMapUpdateInfo.UpdatedReplicationInfo>` | `toUpdateReplicationInfo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlocksMapUpdateInfo

          public BlocksMapUpdateInfo()

  - ### Method Detail

    - #### getToDeleteList

          public List<org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo> getToDeleteList()

      Returns:
        The list of blocks that need to be removed from blocksMap

    - #### toUpdateReplicationInfo

          public List<INode.BlocksMapUpdateInfo.UpdatedReplicationInfo> toUpdateReplicationInfo()

    - #### addDeleteBlock

          public void addDeleteBlock(org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo toDelete)

      Add a to-be-deleted block into the `toDeleteList`
      Parameters:
        `toDelete` - the to-be-deleted block

    - #### addUpdateReplicationFactor

          public void addUpdateReplicationFactor(org.apache.hadoop.hdfs.server.blockmanagement.BlockInfo block,
                                                 short targetRepl)

    - #### clear

          public void clear()

      Clear `toDeleteList`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.